Multivariate Pattern Analysis in Python

# mvpa2.generators.partition

Dataset partitioning strategies

Functions

Classes

`CustomPartitioner`(splitrule, **kwargs) | Partition a dataset using an arbitrary custom rule.
`ExcludeTargetsCombinationsPartitioner`(k, ...) | Exclude combinations for a given partition from other partitions
`HalfPartitioner`([count, selection_strategy, ...]) | Partition a dataset into two halves of the sample attribute.
`NFoldPartitioner`([cvtype]) | Generic N-fold data partitioner.
`NGroupPartitioner`([ngroups]) | Partition a dataset into N-groups of the sample attribute.
`OddEvenPartitioner`([usevalues]) | Create odd and even partitions based on a sample attribute.
`Partitioner`([count, selection_strategy, ...]) | Generator node to partition a dataset.